Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Contributor
shakilabanu_fi
Posts: 16
Registered: ‎04-06-2011
My Device: Playbook

Blackberry 6.1 OS will support Blackberry6 applications?

[ Edited ]

Whether blackberry 6.1 OS supports blackberry6 applications,  Becuase i read Blackberry 7 will support 6.1?

Developer
dx22
Posts: 402
Registered: ‎11-26-2010
My Device: Torch

Re: Blackberry 6.1 OS will support Blackberry6 applications?

General rule is that newer os versions have to support applications made for older versions - its called backward compatibility.

 

But you never know. Sometimes companies stop supporting older versions in order to promote their newer products. So we will see :smileyhappy: But it would be ridiculous if 6.1 doesn't support 6.0 apps :smileytongue:

----------------------------------------------------------------------
Press the button to give kudos if I helped you :smileyhappy:
Contributor
shakilabanu_fi
Posts: 16
Registered: ‎04-06-2011
My Device: Playbook

Re: Blackberry 6.1 OS will support Blackberry6 applications?

Blackberry 7 and Playbook will run under QNX technology,  if they starting their changes  from 6.1 OS like that I heard , I read so many forums, I did not get any news about  the new OS will support older version applications that's why i ask this question

Developer
Ebscer
Posts: 875
Registered: ‎08-31-2009
My Device: 9530, 9630, 9800, 8530, 9900, 9810, 9930, PlayBook, Dev Alpha

Re: Blackberry 6.1 OS will support Blackberry6 applications?

OS 6.1 will support applications designed for all previous BlackBerry OS versions.


Read my thoughts on BlackBerry Development at news.ebscer.com